<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:id="@+id/scroll_view"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical" >


                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edit_itemFk"
                    style="@style/ScanLineTextSearch"
                    android:layout_width="match_parent"
                    android:hint="@string/Escaneaetiqueta"
                    android:inputType="text"
                    android:textColor="@color/verdnatura_white"
                    android:textColorHint="@color/verdnatura_white"

                    />



                <LinearLayout
                    android:id="@+id/itemcard_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/itemcard_image"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/itemcard_image_height"
                        android:scaleType="centerCrop"
                        android:src="@drawable/loadphoto" />
                    <!-- TAGS ======================================================================================================= -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/layout_margin_min"
                        android:layout_marginBottom="@dimen/layout_margin_min">
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_weight="1.25">
                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/Tamaño"
                                    android:textColor="@color/verdnatura_brown_grey"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold"
                                    android:layout_marginEnd="@dimen/layout_margin_min"/>
                                <TextView
                                    android:id="@+id/itemcard_tag1"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text=""
                                    android:textColor="@color/verdnatura_white"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold" />
                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/Longitud"
                                    android:textColor="@color/verdnatura_brown_grey"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold"
                                    android:layout_marginEnd="@dimen/layout_margin_min"/>
                                <TextView
                                    android:id="@+id/itemcard_tag2"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text=""
                                    android:textColor="@color/verdnatura_white"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold" />
                            </LinearLayout>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_weight="1.1">
                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/Color"
                                    android:textColor="@color/verdnatura_brown_grey"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold"
                                    android:layout_marginEnd="@dimen/layout_margin_min"/>
                                <TextView
                                    android:id="@+id/itemcard_tag3"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text=""
                                    android:textColor="@color/verdnatura_white"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold" />
                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/Origen"
                                    android:textColor="@color/verdnatura_brown_grey"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold"
                                    android:layout_marginEnd="@dimen/layout_margin_min"/>
                                <TextView
                                    android:id="@+id/itemcard_tag4"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text=""
                                    android:textColor="@color/verdnatura_white"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold"/>
                            </LinearLayout>

                        </LinearLayout>
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_weight="1">
                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/buyer"
                                    android:textColor="@color/verdnatura_brown_grey"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold"
                                    android:layout_marginEnd="@dimen/layout_margin_min"/>
                                <TextView
                                    android:id="@+id/itemcard_buyer"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="buyer"
                                    android:textColor="@color/verdnatura_white"
                                    android:textSize="@dimen/body2"
                                    android:textStyle="bold" />
                            </LinearLayout>


                        </LinearLayout>
                    </LinearLayout>
                    <!-- VALORES ================================================================================================== -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:descendantFocusability="blocksDescendants">

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/itemcard_recyclerview"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:clipToPadding="false"
                            tools:listitem="@layout/item_card_row" />
                    </RelativeLayout>>

                </LinearLayout>

            </LinearLayout>
        </ScrollView>

        ' <include
        android:id="@+id/main_toolbar"
        layout="@layout/toolbar_fragment"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />



        <LinearLayout
            android:id="@+id/splash_progress"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:background="@color/verdnatura_black_8_alpha_6"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:gravity="center">

            <com.airbnb.lottie.LottieAnimationView

                android:layout_width="wrap_content"
                android:layout_height="@dimen/verdnatura_logo_large_height"
                app:lottie_autoPlay="true"
                app:lottie_loop="true"
                app:lottie_rawRes="@raw/orange_loading"
                app:lottie_speed="2" />
        </LinearLayout>


        <LinearLayout
            android:id="@+id/splash_progress_two"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:background="@color/verdnatura_black_8_alpha_6"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:gravity="center">

            <com.airbnb.lottie.LottieAnimationView

                android:layout_width="wrap_content"
                android:layout_height="@dimen/verdnatura_logo_large_height"
                app:lottie_autoPlay="true"
                app:lottie_loop="true"
                app:lottie_rawRes="@raw/orange_loading"
                app:lottie_speed="2" />
        </LinearLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>